import "clsx";
import { X as fallback, Y as store_get, Z as head, _ as attr, $ as unsubscribe_stores, a0 as bind_props, S as pop, a1 as sanitize_props, a2 as stringify, Q as push, a3 as spread_attributes } from "../../chunks/index.js";
import { g as get, w as writable, r as readable } from "../../chunks/index2.js";
function html(value) {
  var html2 = String(value ?? "");
  var open = "<!---->";
  return open + html2 + "<!---->";
}
function Hero($$payload) {
  $$payload.out += `<div class="text-center h-max self-center" id="hero"><h1 class="text-6xl">Backwards Development</h1> <h4 class="text-2xl">A Software Development and Distribution Company</h4></div>`;
}
const stores = {};
function localStorageStore(key, initialValue, options) {
  if (!stores[key]) {
    const store = writable(initialValue, (set2) => {
    });
    const { subscribe, set } = store;
    stores[key] = {
      set(value) {
        set(value);
      },
      update(updater) {
        const value = updater(get(store));
        set(value);
      },
      subscribe
    };
  }
  return stores[key];
}
localStorageStore("modeOsPrefers", false);
localStorageStore("modeUserPrefers", void 0);
const modeCurrent = localStorageStore("modeCurrent", false);
function setInitialClassState() {
  const elemHtmlClasses = document.documentElement.classList;
  const condLocalStorageUserPrefs = localStorage.getItem("modeUserPrefers") === "false";
  const condLocalStorageUserPrefsExists = !("modeUserPrefers" in localStorage);
  const condMatchMedia = window.matchMedia("(prefers-color-scheme: dark)").matches;
  if (condLocalStorageUserPrefs || condLocalStorageUserPrefsExists && condMatchMedia) {
    elemHtmlClasses.add("dark");
  } else {
    elemHtmlClasses.remove("dark");
  }
}
function prefersReducedMotion() {
  return false;
}
readable(prefersReducedMotion(), (set) => {
});
function LightSwitch($$payload, $$props) {
  const $$sanitized_props = sanitize_props($$props);
  push();
  var $$store_subs;
  let trackBg, thumbBg, thumbPosition, iconFill, classesTrack, classesThumb, classesIcon;
  let title = fallback($$props["title"], "Toggle light or dark mode.");
  let bgLight = fallback($$props["bgLight"], "bg-surface-50");
  let bgDark = fallback($$props["bgDark"], "bg-surface-900");
  let fillLight = fallback($$props["fillLight"], "fill-surface-50");
  let fillDark = fallback($$props["fillDark"], "fill-surface-900");
  let width = fallback($$props["width"], "w-12");
  let height = fallback($$props["height"], "h-6");
  let ring = fallback($$props["ring"], "ring-[1px] ring-surface-500/30");
  let rounded = fallback($$props["rounded"], "rounded-token");
  const cTransition = `transition-all duration-[200ms]`;
  const cTrack = "cursor-pointer";
  const cThumb = "aspect-square scale-[0.8] flex justify-center items-center";
  const cIcon = "w-[70%] aspect-square";
  const svgPath = {
    sun: "M361.5 1.2c5 2.1 8.6 6.6 9.6 11.9L391 121l107.9 19.8c5.3 1 9.8 4.6 11.9 9.6s1.5 10.7-1.6 15.2L446.9 256l62.3 90.3c3.1 4.5 3.7 10.2 1.6 15.2s-6.6 8.6-11.9 9.6L391 391 371.1 498.9c-1 5.3-4.6 9.8-9.6 11.9s-10.7 1.5-15.2-1.6L256 446.9l-90.3 62.3c-4.5 3.1-10.2 3.7-15.2 1.6s-8.6-6.6-9.6-11.9L121 391 13.1 371.1c-5.3-1-9.8-4.6-11.9-9.6s-1.5-10.7 1.6-15.2L65.1 256 2.8 165.7c-3.1-4.5-3.7-10.2-1.6-15.2s6.6-8.6 11.9-9.6L121 121 140.9 13.1c1-5.3 4.6-9.8 9.6-11.9s10.7-1.5 15.2 1.6L256 65.1 346.3 2.8c4.5-3.1 10.2-3.7 15.2-1.6zM352 256c0 53-43 96-96 96s-96-43-96-96s43-96 96-96s96 43 96 96zm32 0c0-70.7-57.3-128-128-128s-128 57.3-128 128s57.3 128 128 128s128-57.3 128-128z",
    moon: "M223.5 32C100 32 0 132.3 0 256S100 480 223.5 480c60.6 0 115.5-24.2 155.8-63.4c5-4.9 6.3-12.5 3.1-18.7s-10.1-9.7-17-8.5c-9.8 1.7-19.8 2.6-30.1 2.6c-96.9 0-175.5-78.8-175.5-176c0-65.8 36-123.1 89.3-153.3c6.1-3.5 9.2-10.5 7.7-17.3s-7.3-11.9-14.3-12.5c-6.3-.5-12.6-.8-19-.8z"
  };
  trackBg = store_get($$store_subs ??= {}, "$modeCurrent", modeCurrent) === true ? bgLight : bgDark;
  thumbBg = store_get($$store_subs ??= {}, "$modeCurrent", modeCurrent) === true ? bgDark : bgLight;
  thumbPosition = store_get($$store_subs ??= {}, "$modeCurrent", modeCurrent) === true ? "translate-x-[100%]" : "";
  iconFill = store_get($$store_subs ??= {}, "$modeCurrent", modeCurrent) === true ? fillLight : fillDark;
  classesTrack = `${cTrack} ${cTransition} ${width} ${height} ${ring} ${rounded} ${trackBg} ${$$sanitized_props.class ?? ""}`;
  classesThumb = `${cThumb} ${cTransition} ${height} ${rounded} ${thumbBg} ${thumbPosition}`;
  classesIcon = `${cIcon} ${iconFill}`;
  head($$payload, ($$payload2) => {
    $$payload2.out += `${html(`<script nonce="%sveltekit.nonce%">(${setInitialClassState.toString()})();<\/script>`)}`;
  });
  $$payload.out += `<div${attr("class", `lightswitch-track ${stringify(classesTrack)}`)} role="switch" aria-label="Light Switch"${attr("aria-checked", store_get($$store_subs ??= {}, "$modeCurrent", modeCurrent))}${attr("title", title)} tabindex="0"><div${attr("class", `lightswitch-thumb ${stringify(classesThumb)}`)}><svg${attr("class", `lightswitch-icon ${stringify(classesIcon)}`)} xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512"><path${attr("d", store_get($$store_subs ??= {}, "$modeCurrent", modeCurrent) ? svgPath.sun : svgPath.moon)}></path></svg></div></div>`;
  if ($$store_subs) unsubscribe_stores($$store_subs);
  bind_props($$props, {
    title,
    bgLight,
    bgDark,
    fillLight,
    fillDark,
    width,
    height,
    ring,
    rounded
  });
  pop();
}
function Keyboard_double_arrow_down_rounded($$payload, $$props) {
  const { $$slots, $$events, ...p } = $$props;
  $$payload.out += `<svg${spread_attributes(
    {
      viewBox: "0 0 24 24",
      width: "1.2em",
      height: "1.2em",
      ...p
    },
    void 0,
    void 0,
    3
  )}><path fill="currentColor" d="m12 16.175l3.9-3.875q.275-.275.688-.288t.712.288q.275.275.275.7t-.275.7l-4.6 4.6q-.15.15-.325.213t-.375.062t-.375-.062t-.325-.213l-4.6-4.6q-.275-.275-.288-.687T6.7 12.3q.275-.275.7-.275t.7.275zm0-6L15.9 6.3q.275-.275.688-.287t.712.287q.275.275.275.7t-.275.7l-4.6 4.6q-.15.15-.325.213t-.375.062t-.375-.062t-.325-.213L6.7 7.7q-.275-.275-.288-.687T6.7 6.3q.275-.275.7-.275t.7.275z"></path></svg>`;
}
function Header($$payload, $$props) {
  push();
  $$payload.out += `<header class="align-center flex h-screen flex-col justify-between p-4"><div></div> `;
  Hero($$payload);
  $$payload.out += `<!----> <div${attr("class", `transition-all duration-300 text-xl self-center ease-in-out relative ${stringify([""].filter(Boolean).join(" "))}`)}${attr("style", `transform: translateX(${stringify("0px")})`)}><div class="animate-bounce">`;
  Keyboard_double_arrow_down_rounded($$payload, {});
  $$payload.out += `<!----></div></div></header>`;
  pop();
}
function _page($$payload) {
  Header($$payload);
  $$payload.out += `<!----> <p>Lorem ipsum dolor, sit amet consectetur adipisicing elit. Asperiores consequuntur totam nemo voluptatum esse? Maiores modi animi distinctio unde temporibus eius possimus id rem quos, iste cupiditate repellat maxime at!
  Harum cum libero illum eius doloremque reiciendis incidunt consequuntur eum dolor temporibus accusantium quasi repellat porro tenetur amet id adipisci magni unde non modi tempore recusandae doloribus, culpa asperiores. Ullam.
  Dicta voluptatibus voluptas illum aspernatur voluptatum reprehenderit, doloribus maxime tempora, alias veritatis asperiores. Aut, voluptatibus vero! At quas officiis nemo laudantium et quos laborum recusandae eveniet, repellendus in! Corporis, nobis.
  Fugiat nihil quia veniam. Hic voluptas ex officia? Hic, sed praesentium. Magnam quis, cumque recusandae expedita sequi soluta nesciunt atque! Enim, minima laborum atque maxime accusantium nobis dignissimos doloribus rerum?
  Non doloribus odit quae fugiat voluptates velit eius error voluptas vel. Autem minus ad adipisci iure temporibus cumque assumenda deserunt, soluta sapiente laborum natus dolorum. Qui dolorem corporis nemo temporibus.
  Vero non ipsa maxime, voluptate aut deserunt provident voluptatem, iure perspiciatis repellat consectetur, nostrum ut incidunt deleniti! Facilis ipsum, laboriosam quaerat deserunt nam, sunt consectetur eos quas, nisi necessitatibus consequatur!
  Esse eveniet ipsa alias quam aliquam repellat itaque et odit libero, tempore cupiditate, sunt voluptatum dolor. Non suscipit mollitia aliquid temporibus cum assumenda enim beatae? Ipsum alias tempora nemo error.
  Delectus autem numquam vel ipsa maiores modi aliquid, odio necessitatibus incidunt nostrum ducimus voluptates harum consequuntur vitae? Eos laudantium blanditiis voluptate atque quod quis consequuntur, cupiditate consequatur aspernatur perspiciatis dolorem.
  Veniam maiores eveniet aut iure magnam iste illum aliquam doloribus pariatur omnis cupiditate perferendis voluptatum dolores dolorem non, quas eius dignissimos beatae laborum veritatis nobis esse! Repudiandae dicta voluptatum consectetur!
  Libero, impedit laboriosam delectus iste iure excepturi quam atque nihil obcaecati rem possimus ea necessitatibus unde in alias ex eos modi molestias incidunt dicta aliquam odio nesciunt officia repellendus? Perferendis.
  Quia sunt alias, minus eum inventore odit nihil esse placeat est officia voluptatibus illum, ab nostrum voluptatum neque fugiat quaerat vel repellendus molestiae rem minima aspernatur et dolorum soluta. Veniam!
  Molestias atque eaque, in tenetur placeat quam soluta tempore fuga maiores veritatis, facere dolore perspiciatis eveniet, aut sapiente porro fugit reprehenderit fugiat at blanditiis! Vel omnis dolore cum illum accusamus?
  Facilis repudiandae rerum, qui adipisci optio natus minus, cupiditate unde necessitatibus aspernatur debitis quia ea odio vel. Modi alias est inventore? Iusto quia dolore, cum assumenda est fugiat esse hic!
  Explicabo autem sapiente voluptas hic quidem enim inventore fuga culpa officiis voluptatem qui quis porro neque laborum, ad distinctio veniam optio? Dolore cumque eius quos cum, adipisci veniam officiis libero.
  Dignissimos nam fugiat eaque temporibus quisquam iure rem at, error corporis repudiandae magni debitis obcaecati dolores eligendi quas atque voluptatibus eius cumque fugit ipsa assumenda alias magnam facilis? At, amet?
  Doloremque nulla animi obcaecati omnis voluptatibus natus, mollitia illum. Dignissimos error aut nisi a aperiam molestias voluptates fugit sed, ipsam temporibus. Non eius quasi ullam consequatur odit ipsam inventore obcaecati!
  Similique tempora exercitationem ea omnis facilis, dolores alias quasi numquam unde at ipsa quia repudiandae reprehenderit harum labore consectetur accusamus quae suscipit dignissimos velit, illum soluta commodi ullam. Laborum, consectetur?
  Deserunt ad autem sequi atque tempore debitis soluta voluptatum voluptatem nemo sapiente quod laboriosam a modi optio incidunt quae placeat possimus rerum eos voluptatibus, vitae, voluptate repellat porro. Velit, numquam.
  Id, commodi. Iste animi voluptatem dolorem dicta deserunt quo assumenda, esse corrupti in beatae ipsum tenetur odit rem saepe quod doloribus sequi molestias expedita. Quam doloribus adipisci dolore vero. Fugit.
  Dolore mollitia voluptatem maxime eius excepturi ratione et! Inventore odio repellendus ex vel aut est accusantium fuga earum. Rerum fuga fugiat, voluptatem voluptatum eaque totam laboriosam ullam sapiente et quos.
  Saepe sit voluptas sequi repellendus ipsam ad ducimus quae reprehenderit tempore possimus, officia aut quibusdam dolore, similique quam laborum aspernatur corrupti error deleniti minus voluptate. Consequuntur, suscipit qui! Quaerat, commodi.
  At quod nihil commodi cumque fugit corporis. Sunt, molestias eaque. Fuga eius sapiente eum veritatis ex iste eveniet harum, assumenda tempora ad, libero quidem non architecto recusandae. Accusantium, ullam iusto?
  Magni, voluptate explicabo. Tempore atque, sed inventore qui voluptas porro nesciunt repellendus amet, assumenda in eaque. Ea aliquam minus delectus dolorum in, animi facere, rem neque, hic aut molestias nihil?
  Officiis repellat obcaecati, maiores illum ipsum esse debitis quos temporibus recusandae nobis aperiam ex. Sapiente magnam odit quos similique eveniet, blanditiis quam laudantium! Ipsa fuga qui veritatis nesciunt numquam nemo.
  Alias earum nulla ea quibusdam molestias cupiditate id fugit quos ratione inventore. Tempore culpa, ut aut iste, quam reprehenderit nisi quod fuga, quae accusantium recusandae praesentium sint consectetur. Aut, voluptatibus.
  Quia, veniam? Voluptates, hic veritatis ullam nemo neque quasi voluptatibus autem minima beatae provident facere fugiat quibusdam recusandae debitis id esse rerum sunt iure architecto magni excepturi, et eos! Nostrum.
  Nemo repudiandae ducimus eius ipsum explicabo quam deleniti amet asperiores. Dolorem, eveniet! Officia eum blanditiis quia laboriosam consequatur eveniet minima voluptates aliquid? Corrupti tenetur incidunt error impedit cupiditate officia nostrum?
  Fuga quam neque ullam, quasi quia minus dolorem? Deleniti sunt reprehenderit iusto dolorem adipisci consequatur aperiam sit possimus reiciendis repellendus impedit accusamus excepturi facere molestias, cupiditate cumque distinctio quo unde.
  Quasi aspernatur ullam pariatur perferendis nostrum ratione doloribus ducimus veniam, tempore accusantium similique, quo dolorem saepe temporibus deserunt odit optio aut rerum, modi quod magnam cupiditate! Iste distinctio quas corrupti?
  Nostrum dicta, aperiam minima sed sunt sequi reiciendis magnam suscipit perferendis, sit aliquid. At, cumque! Accusamus, sequi eligendi itaque facere autem, ad cumque sed commodi incidunt rem ipsam harum officia.
  Aliquid, facilis! Fugiat itaque quam illo ex eum labore, at ut reprehenderit sapiente est eos quis ratione ipsam assumenda, non iure laborum! Architecto dignissimos cum porro illum numquam, neque aperiam?
  Necessitatibus minus sunt accusamus blanditiis, exercitationem ad ipsa eaque illum expedita inventore dolor ut! Minus, asperiores blanditiis! At dolorem consequuntur similique tempora! Omnis quaerat aliquam dolorum quo veniam corrupti cumque!
  Fuga, facilis rem vitae ratione, neque aliquid nobis cum, sapiente fugiat quae aspernatur soluta quos non iusto esse in quasi maiores eligendi aut accusantium obcaecati! Sed incidunt voluptatum architecto alias.
  Nostrum maiores libero cumque totam. Consequuntur, optio in vitae eveniet quos quam consequatur. Sed impedit reiciendis, ipsam delectus nulla magnam, consectetur atque consequuntur pariatur necessitatibus ullam aperiam, soluta ratione itaque!
  Dolore suscipit, nobis voluptates, laborum quos veniam nihil, doloribus aliquid ab alias labore eligendi vitae? Neque culpa dolore vitae quisquam, provident distinctio reprehenderit, fugiat, deserunt fugit tempore voluptatem rerum maiores.
  Vero hic deleniti, dignissimos cupiditate exercitationem rem nemo officiis perspiciatis distinctio iusto soluta fugiat eos repellendus sed et at aspernatur architecto iste optio maxime obcaecati assumenda quod suscipit. Ad, facilis?
  Doloremque quae nam minus et error dignissimos animi facilis consequatur, vel veritatis ipsa eos facere sed tempora sunt. Provident, deleniti nihil aperiam vero necessitatibus eum porro inventore quas ratione dolore?
  Error a ut libero ad at ducimus laudantium necessitatibus repellendus delectus dignissimos eligendi corrupti rem fugit, nisi, dolor nostrum culpa doloribus quo veniam mollitia nam dolore. Consequuntur officia molestias a?
  Explicabo vero architecto enim unde distinctio expedita. Quibusdam, commodi nemo sapiente aliquid reiciendis delectus quos veniam eligendi deleniti eaque adipisci nam enim sunt nihil dolorem vitae possimus et nobis quae?
  Alias, commodi eaque omnis ratione a atque debitis facere repellendus modi quo quas veniam sapiente adipisci animi quaerat vel quis dolor tempora perferendis perspiciatis aperiam enim ducimus. Sunt, cumque veritatis.
  Necessitatibus mollitia esse doloremque delectus maiores velit facilis nostrum. Rem, assumenda dicta cumque repellendus voluptatem deleniti enim magnam voluptate culpa corporis. Saepe asperiores qui provident at obcaecati assumenda, numquam minus?
  Quod voluptatum pariatur voluptates dolorum unde molestias tempore commodi similique, nulla modi deleniti adipisci ratione ducimus est quia ex velit! Assumenda numquam veniam cumque dolore corrupti reiciendis at ex illum.
  Eum assumenda nobis ex necessitatibus, distinctio atque itaque adipisci fugit reprehenderit animi! At aliquid eligendi autem dolorum exercitationem veniam earum laboriosam consectetur expedita. Voluptatem sunt iusto repellendus, nam neque magni.
  Doloremque, tenetur iste neque amet, exercitationem aliquam et voluptatibus culpa, ratione adipisci necessitatibus earum. Recusandae, deleniti. Incidunt saepe corrupti dolorum aspernatur tempora, consequatur magnam omnis cum voluptatem eos. Nihil, incidunt!
  Repellat, porro. Laborum sit nisi odit voluptatem, quas alias natus doloribus expedita sequi maiores optio exercitationem voluptate blanditiis dignissimos itaque ullam voluptatibus dicta consequuntur minus illum ratione cupiditate doloremque vel.
  Cumque ab magnam dolor temporibus, iste repudiandae accusantium corrupti, vel quaerat reprehenderit error necessitatibus explicabo? Praesentium quidem omnis esse, veniam recusandae quisquam, ad perspiciatis perferendis placeat corrupti, officia aliquam dolorum?
  Officiis molestiae possimus nam fuga maiores nesciunt quo. Laboriosam eum illo, facere similique nihil qui fugiat minus provident, illum corporis quo esse temporibus autem possimus veniam aspernatur! Provident, officiis nemo.
  Eligendi ea harum doloribus ad magnam quae illo deserunt, minima pariatur fugiat aliquid porro laboriosam tempora nulla sed sint excepturi, eum dolorem ducimus, officia culpa exercitationem. Ab voluptatem quia odio.
  At amet vitae ipsam neque expedita deserunt ab alias sunt eum tempora tempore cupiditate non quaerat, saepe voluptas accusamus numquam dolore quae autem! Dignissimos modi laboriosam velit labore, quibusdam voluptates?
  Dignissimos consequuntur beatae, quod natus qui provident unde explicabo quam odio magni commodi tempore, modi quisquam ex eos sunt excepturi, possimus ea impedit aliquid inventore delectus. Ab quod doloremque error.
  Tempora dolores amet temporibus, ipsum accusamus totam soluta ab modi nulla dicta. Hic natus at pariatur adipisci sed molestias eligendi eaque aspernatur, ipsa deserunt magni ratione aperiam, corporis nobis facere?
  Itaque assumenda voluptatum est laudantium similique necessitatibus nobis, id animi culpa illo maxime consequatur velit labore? Quasi, impedit? Modi voluptatem fugit possimus dolore cumque. Aperiam numquam eius magni ad sed.
  Quaerat doloribus unde, aliquam debitis minus voluptatibus laborum accusamus voluptatum corrupti nostrum cupiditate ut nemo vero magnam. Minima voluptates omnis officiis distinctio, ratione eos repellendus, asperiores velit perspiciatis explicabo facilis.
  Maxime, nobis! Aspernatur cumque facilis odit cum, maiores et perferendis delectus asperiores sequi error deleniti quas harum nam non exercitationem minus quam odio deserunt sit ducimus, quae architecto! Maxime, ipsa.
  Dolorem nam molestias quasi ut temporibus officia, veritatis maiores ipsum molestiae perspiciatis odio saepe vitae similique excepturi possimus obcaecati at, repellendus, pariatur delectus. Sunt iusto cum non possimus, quia voluptatum.
  Accusamus harum doloremque alias? Esse cum autem cupiditate repellendus doloremque sunt voluptatem vero nulla error possimus. Earum dolorum, ex aperiam veniam error sapiente, quis mollitia sunt cupiditate, vel aspernatur numquam?
  Soluta ipsa, tempore deleniti aspernatur sunt molestias quod perspiciatis exercitationem quidem dolore illum voluptates suscipit omnis facilis aliquam asperiores nobis itaque ad. Dicta voluptatum deleniti saepe aut adipisci, commodi similique!
  Tempora officiis sunt reiciendis, dignissimos a ullam impedit error distinctio quisquam nesciunt nobis repellendus amet fugit explicabo id quidem porro natus. Ab voluptatum impedit recusandae consectetur distinctio vitae necessitatibus molestiae?
  Commodi, libero. Officia voluptates quam fugit sit laudantium maiores accusamus, magni at consequuntur quaerat incidunt quae ducimus saepe, aut aspernatur recusandae eaque voluptate suscipit. Possimus sit ab vitae quas laborum.
  Neque pariatur dolor vitae quae velit rem nisi, voluptatum laudantium vero illo obcaecati asperiores eaque ipsam earum quo numquam doloribus hic quaerat aliquam, similique atque ut animi aut! Mollitia, labore.
  Error modi magnam reiciendis, dolores sapiente rerum aperiam voluptatibus a, odio voluptatum maiores! Quis dignissimos molestias obcaecati? Obcaecati voluptatum rerum facilis libero dolore saepe alias aliquam. Voluptatibus ullam rem earum?
  Corporis, nostrum perspiciatis, quos dignissimos expedita dolorum sit, distinctio aperiam inventore provident perferendis similique assumenda temporibus suscipit laudantium corrupti eos? Assumenda earum fugiat quod labore molestiae iure sit totam excepturi!
  Magnam quod maiores sunt consectetur temporibus architecto reiciendis reprehenderit voluptates aut! Rerum natus ut delectus voluptas quis earum aliquam. Corrupti, quaerat? Voluptatem atque sunt vero maxime eaque consectetur sequi delectus.
  Doloribus eveniet dignissimos deserunt maiores labore. Nesciunt voluptatibus vel, non omnis voluptates, necessitatibus repellendus amet architecto commodi dolore excepturi ab laudantium sequi quod. Necessitatibus facere ex saepe nisi. Ipsam, aut.
  Tempora, libero corporis? Quam perferendis nulla distinctio consectetur fugit suscipit aperiam impedit laboriosam, labore qui adipisci quibusdam earum dicta dignissimos. Optio qui commodi dolorum, voluptates error corporis sapiente alias eveniet!
  Omnis iste enim perferendis officiis, amet quam voluptatem iure sed libero vitae laboriosam iusto totam aut maxime voluptatum, labore ex. Incidunt quasi nihil ea quidem autem cupiditate! Ipsa, cupiditate provident!
  Placeat, eum nam! Quam, assumenda itaque. Mollitia modi quos blanditiis? Beatae nesciunt eligendi facilis, pariatur eum hic nulla error sit perferendis quos provident alias in libero aliquam! Rerum, corporis facere.
  Iure numquam voluptatum cumque laudantium repellendus illo assumenda, quisquam dolorum perspiciatis corporis voluptates, earum quidem rerum odio veniam accusamus vitae recusandae soluta veritatis? Nostrum explicabo deserunt, sed nemo impedit ab.
  Consectetur perferendis porro beatae ipsum, quis exercitationem deserunt quae qui ducimus libero, error molestiae, magni optio inventore? Voluptate, obcaecati, dolore quidem similique iste modi ratione labore sunt, corporis repudiandae rem.
  In nihil vero, voluptas omnis dolores laboriosam dicta culpa id! Optio odit cupiditate labore deserunt non, rerum nihil soluta? Temporibus, iure odio? Consequuntur tempore eum tempora ipsum iure rem dolore?
  Odit, natus aspernatur id adipisci labore provident est sequi itaque alias! Perspiciatis ratione excepturi odit dolores sapiente, nesciunt accusamus itaque fuga. Omnis iste aperiam vel? Nulla aut similique minima harum?
  Nulla quidem molestias libero, quod aspernatur voluptatem natus quam maxime molestiae ratione quaerat beatae! Cumque voluptate tenetur ipsam. Debitis, ducimus. Molestias distinctio culpa porro obcaecati quas eaque, excepturi ab eligendi!
  Molestias ab ipsam quae inventore ullam magni est voluptate corrupti placeat cum fugiat veritatis asperiores rem cupiditate odio, debitis qui numquam maiores libero, eligendi, mollitia unde optio ad nisi? Error.
  Illum, accusamus sequi cumque vel nisi eius sint quaerat unde voluptatum. Veniam, dolorum dolore! Obcaecati, expedita. Deserunt nihil officiis ut quae dolorem placeat facilis, optio aut provident repellendus tempora explicabo?
  Ratione repudiandae corrupti repellendus, veniam iusto obcaecati nostrum, quam debitis ad architecto similique qui consectetur adipisci voluptatibus inventore incidunt veritatis soluta fugit asperiores. Eligendi veritatis rem explicabo, unde quibusdam ullam.
  Reiciendis deleniti fugiat, ut voluptate voluptates voluptas et error aliquid consectetur provident impedit necessitatibus ad perferendis veritatis repellendus odio obcaecati architecto eius, eum repudiandae accusamus quidem quaerat sit ipsum. Quae!
  Id repellat provident ratione illo rem itaque reprehenderit, error eveniet at, recusandae possimus nulla perferendis saepe voluptas nisi cupiditate impedit dicta optio repudiandae. Delectus quasi hic in dolorum pariatur aut?
  Nihil facilis neque hic dolorem architecto sapiente unde eum saepe temporibus fugiat earum sequi repellendus porro qui quo iste voluptatibus officiis incidunt, aliquid tempore deleniti dicta mollitia? Perspiciatis, sunt nemo?
  Saepe consequuntur tempore unde vero sapiente iste esse minus eius magnam accusamus error rem, excepturi sint inventore ducimus molestiae corporis sit! Nihil, sequi omnis! Excepturi in praesentium vero iusto ducimus?
  Dolores odit aliquam sint sunt dignissimos perspiciatis numquam explicabo est cumque tempora suscipit qui sapiente quibusdam consequatur iste officiis delectus, aperiam iure iusto tenetur voluptate placeat quidem! Earum, ad quod?
  Repellat sequi, nihil possimus culpa mollitia accusantium itaque quaerat cum aut illum soluta eaque ratione dignissimos, perferendis ipsam unde iste officia nesciunt! Sint labore natus possimus alias quo, reprehenderit laudantium!
  Dicta molestiae quod dolor repellat voluptatibus rerum labore, magnam consequuntur, minima sapiente, eligendi nam optio fugit incidunt accusantium ipsam id commodi ducimus unde voluptatum vel excepturi? Exercitationem, necessitatibus assumenda! Sint!
  Eligendi animi cupiditate expedita consectetur voluptate harum, aliquam dicta deleniti nulla esse inventore, vel optio nobis? Veniam aliquid blanditiis labore, odit, quibusdam sit, fugiat perspiciatis odio fugit pariatur possimus in!
  Quo id cum, eos officiis quam sit voluptatibus asperiores natus quia saepe magnam nobis assumenda magni ipsum voluptatum dolorum dolore, ratione repellendus fuga? Incidunt ipsum minima maiores! Est, eveniet ipsam!
  Nostrum numquam minima doloribus illum, nobis repudiandae expedita accusantium quasi deleniti consequuntur beatae totam ipsum hic eligendi iste autem, aut, consectetur provident sit vel ullam perspiciatis. Libero eligendi quaerat fugiat.
  Inventore earum vel accusantium voluptate aliquam ex nobis repellendus accusamus, debitis praesentium molestias quia quidem distinctio sunt ducimus repellat! Sequi eius minus repudiandae, facere sapiente molestias fugit harum dicta facilis?
  Corporis unde quasi, ea dicta, deleniti aperiam dolore minus rem ratione nihil, praesentium similique maiores alias qui? Quibusdam repellat voluptatem optio ab fuga deleniti. Ducimus totam iste nihil delectus voluptates!
  Eligendi deleniti molestias culpa architecto eveniet sit reiciendis ducimus aut. Veritatis, dicta! Sint rerum, nostrum dolores iusto dolor quod magnam voluptatibus explicabo, tempore blanditiis, atque nulla illum nihil id aliquam.
  Nihil quam exercitationem quod dicta voluptas, quidem tenetur sunt illo. Sunt vero, recusandae reprehenderit cumque porro possimus nostrum neque hic, tempora aperiam consequatur nemo laboriosam, culpa repellat. Voluptatem, fugit porro.
  Sequi repudiandae reiciendis hic quasi. Quasi, magnam laudantium? Ad repellat atque consequuntur odio accusamus sit cupiditate rerum incidunt. Asperiores adipisci praesentium vitae ullam debitis ex, accusamus vel accusantium iusto unde.
  Iure possimus perferendis nesciunt magni sapiente mollitia odit expedita nam hic deleniti nemo exercitationem provident, culpa atque maiores cumque explicabo. Voluptate voluptates natus veritatis accusantium distinctio sequi eos delectus ab.
  Iste explicabo tempora ex, laborum quam, blanditiis, eos expedita error dolorum maiores rerum nobis minus fugit corrupti. Accusantium odit temporibus officiis illum. Nesciunt ab velit quo quae magnam cupiditate molestias.
  Et possimus doloremque quo. Nesciunt provident neque esse obcaecati molestias unde incidunt reprehenderit tempore veniam sapiente numquam consectetur modi exercitationem, dignissimos doloremque laudantium enim delectus dolores pariatur facilis. Cupiditate, assumenda?
  Maiores enim, veniam iusto quaerat dolorem amet. Repellat mollitia necessitatibus similique omnis, ipsam distinctio, facilis, magni blanditiis atque error amet ea inventore architecto. Facere, libero est. Dicta distinctio dolorum rerum?
  Magni tempora, quis sapiente deserunt pariatur dolores quae corrupti odio saepe nam ea. Quae vel fugiat maxime dolorem error, fuga totam numquam iure. Ratione ut libero, eaque soluta enim minus.
  Error ea officiis ducimus rem dolor animi voluptates? Nobis, laudantium minima repudiandae ipsa, modi deleniti dolorum quam ratione quis voluptas nisi similique tempora asperiores mollitia sed voluptatibus, optio maiores ipsam!
  Ut eaque eveniet porro, odio iusto non facilis ad aliquid tempore adipisci perferendis? Facilis libero quod reprehenderit laboriosam, tenetur, vero accusantium officiis, nesciunt quaerat velit veritatis minima delectus nisi eos!
  Veritatis dignissimos magni consectetur, nostrum itaque et sed recusandae reprehenderit error enim vitae, sint, voluptatibus omnis at minima tempore! Eius sit similique in consequuntur possimus, veniam ratione delectus voluptas ab.
  Saepe in quaerat, eius nobis voluptates, corporis distinctio, sed nostrum corrupti vero aliquid amet itaque alias necessitatibus? Asperiores expedita harum libero autem perferendis iure tempore, eveniet tempora dignissimos id saepe.
  Incidunt commodi earum similique beatae. Dolores minima reprehenderit fugit laboriosam, eum ullam quod unde obcaecati beatae facilis dolore sed totam quibusdam repellat, incidunt, ipsa consectetur nemo aspernatur. Alias, eveniet quis!</p> `;
  LightSwitch($$payload, {});
  $$payload.out += `<!---->`;
}
export {
  _page as default
};
